Update an app integration push notification

Update an app integration push notification by the given id.

put
Path parameters
idstringRequired

The id of the app integration push notification.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Body

The request data transfer object for the push notification integration when updating.

appIntegrationIdstring · min: 1Required

The app integration provider ID of the push notification.

codestring · min: 1Required

The code of the push notification.

namestring · min: 1Required

The name of the push notification.

projectIdstring · min: 1Required

The project ID of the push notification.

clientEmailstring · min: 1Required

The client email of the push notification.

clientIdstring · nullableOptional

The client ID of the push notification.

privateKeystring · min: 1Required

The private key of the push notification.

authURLstring · uri · nullableOptional

The authentication URL of the push notification.

tokenURLstring · uri · nullableOptional

The token URL of the push notification.

authProviderX509CertURLstring · uri · nullableOptional

The authentication provider X509 certificate URL of the push notification.

clientX509CertURLstring · uri · nullableOptional

The client X509 certificate URL of the push notification.

universeDomainstring · nullableOptional

The universe domain of the push notification.

apiKeystring · nullableOptional

The API key of the push notification.

authDomainstring · nullableOptional

The authentication domain of the push notification.

storageBucketstring · nullableOptional

The storage bucket of the push notification.

messagingSenderIdstring · nullableOptional

The messaging sender ID of the push notification.

appIdstring · nullableOptional

The app ID of the push notification. Use projectId instead if using Firebase service.

measurementIdstring · nullableOptional

The measurement ID of the push notification.

vapidKeystring · nullableOptional

The VAPID key of the push notification.

isDefaultbooleanOptional

Flag to indicate if the push notification integration is the default. Default is false.

statusstring · enumOptional

This enum is used to define the common status of an object in JFW.

Supported values:

  • Inactive - In case of JFW object's status being inactive.
  • Active - In case of JFW object's status being active
Possible values:
Responses
chevron-right
200

The request was successful.

application/json

This provides interfaces for API responses with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Read-onlyRequired

This is the message to be displayed to the user.

put
/api/v1/app-integrations/push-notification/{id}

Last updated